Name:          cups-filters
Version:       1.0.61
Release:       1mamba
Summary:       Backends, filters, and other software for the CUPS printing system
Group:         System/Spooling
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openprinting.org
Source:        http://www.openprinting.org/download/cups-filters/cups-filters-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: ghostscript-devel
BuildRequires: glibc-devel
BuildRequires: libcups-devel
BuildRequires: libe2fs-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libjpeg-devel
BuildRequires: libkrb5-devel
BuildRequires: liblcms2-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-tools
BuildRequires: libqpdf-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
BuildRequires: pkg-config
## AUTOBUILDREQ-END
#Requires:      ghostscript
%if "%{stage1}" != "1"
BuildRequires: php-devel
%endif
BuildRequires: libpoppler-devel >= 0.20.4
Requires:      libpoppler-tools >= 0.20.4
Provides:      foomatic-filters
Obsoletes:     foomatic-filters
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
cups-filters contains backends, filters, and other software that was once part of the core CUPS distribution but is no longer maintained by Apple Inc. In addition it contains additional filters developed independently of Apple, especially filters for the PDF-centric printing workflow introduced by OpenPrinting.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
cups-filters contains backends, filters, and other software that was once part of the core CUPS distribution but is no longer maintained by Apple Inc. In addition it contains additional filters developed independently of Apple, especially filters for the PDF-centric printing workflow introduced by OpenPrinting.

This is the development package.

%debug_package

%prep
%setup -q

%build
PHP_INCLUDES=`php-config --includes` || PHP_INCLUDES=
CFLAGS="%{optflags} $PHP_INCLUDES"
%configure \
   --with-pdftops=pdftops

#   --with-php

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config %{_sysconfdir}/cups/cups-browsed.conf
%{_sysconfdir}/init.d/cups-browsed
%{_sysconfdir}/rc0.d/K35cups-browsed
%{_sysconfdir}/rc2.d/K35cups-browsed
%{_sysconfdir}/rc2.d/S82cups-browsed
%{_sysconfdir}/rc3.d/K35cups-browsed
%{_sysconfdir}/rc3.d/S82cups-browsed
%{_sysconfdir}/rc5.d/K35cups-browsed
%{_sysconfdir}/rc5.d/S82cups-browsed
%{_sysconfdir}/fonts/conf.d/99pdftoopvp.conf
%{_bindir}/ttfread
%{_sbindir}/cups-browsed
%dir %{_prefix}/lib/cups
%dir %{_prefix}/lib/cups/backend
%{_prefix}/lib/cups/backend/parallel
%{_prefix}/lib/cups/backend/serial
%dir %{_prefix}/lib/cups/filter
%{_prefix}/lib/cups/filter/bannertopdf
%{_prefix}/lib/cups/filter/commandtoescpx
%{_prefix}/lib/cups/filter/commandtopclx
%{_prefix}/lib/cups/filter/foomatic-rip
%{_prefix}/lib/cups/filter/gstopxl
%{_prefix}/lib/cups/filter/gstoraster
%{_prefix}/lib/cups/filter/imagetopdf
%{_prefix}/lib/cups/filter/imagetops
%{_prefix}/lib/cups/filter/imagetoraster
%{_prefix}/lib/cups/filter/pdftoijs
%{_prefix}/lib/cups/filter/pdftoippprinter
%{_prefix}/lib/cups/filter/pdftoopvp
%{_prefix}/lib/cups/filter/pdftopdf
%{_prefix}/lib/cups/filter/pdftops
%{_prefix}/lib/cups/filter/pdftoraster
%{_prefix}/lib/cups/filter/pstopdf
%{_prefix}/lib/cups/filter/rastertoescpx
%{_prefix}/lib/cups/filter/rastertopclx
%{_prefix}/lib/cups/filter/rastertopdf
%{_prefix}/lib/cups/filter/textonly
%{_prefix}/lib/cups/filter/texttopdf
%{_prefix}/lib/cups/filter/texttops
%{_prefix}/lib/cups/filter/urftopdf
%{_libdir}/libcupsfilters.so.*
%{_libdir}/libfontembed.so.*
%{_datadir}/cups/banners/*
%dir %{_datadir}/cups/charsets
%{_datadir}/cups/charsets/pdf.utf-8
%{_datadir}/cups/charsets/pdf.utf-8.heavy
%{_datadir}/cups/charsets/pdf.utf-8.simple
%dir %{_datadir}/cups/data
%{_datadir}/cups/data/*.odt
%{_datadir}/cups/data/*.pdf
%{_datadir}/cups/data/testprint
%dir %{_datadir}/cups/drv
%{_datadir}/cups/drv/cupsfilters.drv
%dir %{_datadir}/cups/mime
%{_datadir}/cups/mime/cupsfilters.convs
%{_datadir}/cups/mime/cupsfilters.types
%dir %{_datadir}/cups/ppdc
%{_datadir}/cups/ppdc/*.h
%{_datadir}/ppd/cupsfilters/Fuji_Xerox-DocuPrint_CM305_df-PDF.ppd
%{_datadir}/ppd/cupsfilters/Generic-PDF_Printer-PDF.ppd
%{_datadir}/ppd/cupsfilters/HP-Color_LaserJet_CM3530_MFP-PDF.ppd
%{_datadir}/ppd/cupsfilters/HP-PhotoSmart_Pro_B8300-hpijs-pdftoijs.ppd
%{_datadir}/ppd/cupsfilters/pxlcolor.ppd
%{_datadir}/ppd/cupsfilters/pxlmono.ppd
%{_datadir}/ppd/cupsfilters/textonly.ppd
%{_mandir}/man1/foomatic-rip.1*
%{_mandir}/man5/cups-browsed.conf.5*
%{_mandir}/man8/cups-browsed.8*
%{_datadir}/doc/cups-filters/AUTHORS
%{_datadir}/doc/cups-filters/COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cupsfilters
%{_includedir}/cupsfilters/*
%dir %{_includedir}/fontembed
%{_includedir}/fontembed/*
%{_libdir}/libcupsfilters.a
%{_libdir}/libcupsfilters.la
%{_libdir}/libcupsfilters.so
%{_libdir}/libfontembed.a
%{_libdir}/libfontembed.la
%{_libdir}/libfontembed.so
%{_libdir}/pkgconfig/libcupsfilters.pc
%{_libdir}/pkgconfig/libfontembed.pc
%{_datadir}/doc/cups-filters/INSTALL
%{_datadir}/doc/cups-filters/NEWS
%{_datadir}/doc/cups-filters/README

%changelog
* Sat Oct 11 2014 Automatic Build System <autodist@mambasoft.it> 1.0.61-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Automatic Build System <autodist@mambasoft.it> 1.0.60-1mamba
- automatic version update by autodist

* Sat Sep 27 2014 Automatic Build System <autodist@mambasoft.it> 1.0.59-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 1.0.58-1mamba
- automatic version update by autodist

* Mon Aug 18 2014 Automatic Build System <autodist@mambasoft.it> 1.0.57-1mamba
- automatic version update by autodist

* Thu Jul 31 2014 Automatic Build System <autodist@mambasoft.it> 1.0.55-1mamba
- automatic version update by autodist

* Mon Jun 09 2014 Automatic Build System <autodist@mambasoft.it> 1.0.54-1mamba
- automatic version update by autodist

* Sat Apr 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.53-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 1.0.52-1mamba
- automatic version update by autodist

* Fri Apr 04 2014 Automatic Build System <autodist@mambasoft.it> 1.0.51-1mamba
- automatic version update by autodist

* Fri Mar 28 2014 Automatic Build System <autodist@mambasoft.it> 1.0.50-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.0.49-1mamba
- automatic version update by autodist

* Sat Mar 15 2014 Automatic Build System <autodist@mambasoft.it> 1.0.48-1mamba
- automatic version update by autodist

* Mon Mar 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.46-2mamba
- rebuilt with libpoppler 0.24.5

* Fri Feb 21 2014 Automatic Build System <autodist@mambasoft.it> 1.0.46-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 1.0.45-1mamba
- automatic version update by autodist

* Sat Jan 18 2014 Automatic Build System <autodist@mambasoft.it> 1.0.44-1mamba
- automatic version update by autodist

* Sat Dec 21 2013 Automatic Build System <autodist@mambasoft.it> 1.0.43-1mamba
- automatic version update by autodist

* Sat Dec 07 2013 Automatic Build System <autodist@mambasoft.it> 1.0.42-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 1.0.41-1mamba
- automatic version update by autodist

* Sat Oct 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.40-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 1.0.38-1mamba
- automatic update by autodist

* Thu Aug 29 2013 Automatic Build System <autodist@mambasoft.it> 1.0.37-1mamba
- automatic version update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.36-1mamba
- automatic version update by autodist

* Sun Jul 21 2013 Automatic Build System <autodist@mambasoft.it> 1.0.35-1mamba
- automatic version update by autodist

* Fri Apr 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.34-1mamba
- automatic version update by autodist

* Sat Apr 06 2013 Automatic Build System <autodist@mambasoft.it> 1.0.33-1mamba
- automatic version update by autodist

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 1.0.31-1mamba
- automatic version update by autodist

* Sat Mar 09 2013 Automatic Build System <autodist@mambasoft.it> 1.0.30-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 1.0.29-1mamba
- automatic version update by autodist

* Sat Dec 29 2012 Automatic Build System <autodist@mambasoft.it> 1.0.28-1mamba
- automatic version update by autodist

* Sat Dec 29 2012 Automatic Build System <autodist@mambasoft.it> 1.0.27-1mamba
- automatic version update by autodist

* Fri Dec 28 2012 Automatic Build System <autodist@mambasoft.it> 1.0.26-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.0.25-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.24-1mamba
- update to 1.0.24
- require libpoppler >= 0.20.4

* Sun Aug 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.20-1mamba
- package created by autospec
